Note: This is a legacy endpoint, consider using this endpoint instead. The endpoint will continue to function as documented.
Fetch safety events for the organization in a given time period.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Safety Events & Scores under the Safety & Cameras category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/safety-events \
--header 'Authorization: Bearer <token>'{
"data": [
{
"behaviorLabels": [
{
"label": "genericTailgating",
"source": "automated",
"name": "Tailgating"
}
],
"coachingState": "needsReview",
"downloadForwardVideoUrl": "https://s3.console.aws.amazon.com/s3/buckets/samsara-dashcam-videos/21575/212014918400828/1553060687222/huKA7IhpBV-camera-video-segment-1244214895.mp4",
"downloadInwardVideoUrl": "https://s3.console.aws.amazon.com/s3/buckets/samsara-dashcam-videos/21575/212014918400828/1553060687222/huKA7IhpBV-camera-video-segment-1244214895.mp4",
"downloadTrackedInwardVideoUrl": "https://s3.console.aws.amazon.com/s3/buckets/samsara-dashcam-videos/21575/212014918400828/1553060687222/huKA7IhpBV-camera-video-segment-1244214895.mp4",
"driver": {
"id": "88668",
"name": "Susan Bob"
},
"id": "212014918174029-1550954461759",
"location": {
"latitude": 122.142,
"longitude": -93.343
},
"maxAccelerationGForce": 0.123,
"time": "2019-06-13T19:08:25.455Z",
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
An end time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of vehicle IDs. Example: vehicleIds=1234,5678
curl --request GET \
--url https://api.samsara.com/fleet/safety-events \
--header 'Authorization: Bearer <token>'{
"data": [
{
"behaviorLabels": [
{
"label": "genericTailgating",
"source": "automated",
"name": "Tailgating"
}
],
"coachingState": "needsReview",
"downloadForwardVideoUrl": "https://s3.console.aws.amazon.com/s3/buckets/samsara-dashcam-videos/21575/212014918400828/1553060687222/huKA7IhpBV-camera-video-segment-1244214895.mp4",
"downloadInwardVideoUrl": "https://s3.console.aws.amazon.com/s3/buckets/samsara-dashcam-videos/21575/212014918400828/1553060687222/huKA7IhpBV-camera-video-segment-1244214895.mp4",
"downloadTrackedInwardVideoUrl": "https://s3.console.aws.amazon.com/s3/buckets/samsara-dashcam-videos/21575/212014918400828/1553060687222/huKA7IhpBV-camera-video-segment-1244214895.mp4",
"driver": {
"id": "88668",
"name": "Susan Bob"
},
"id": "212014918174029-1550954461759",
"location": {
"latitude": 122.142,
"longitude": -93.343
},
"maxAccelerationGForce": 0.123,
"time": "2019-06-13T19:08:25.455Z",
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}